petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPMonitorRange

Prints the percentage of residual elements that are more then 10 percent of the maximum value.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorRange(KSP ksp,PetscInt it,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| it | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - an ASCII viewer

### Options Database Key

-ksp_monitor_range -Activates KSPMonitorRange()

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorDefault(), KSPMonitorLGResidualNormCreate()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages